# ApplicationFramework
TKXmlL
XmlMDF

# XmlMDF_DataMapIteratorOfTypeADriverMap Class Reference

`#include <XmlMDF_DataMapIteratorOfTypeADriverMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlMDF_DataMapIteratorOfTypeADriverMap ()
Standard_EXPORT | XmlMDF_DataMapIteratorOfTypeADriverMap (const XmlMDF_TypeADriverMap &aMap)
Standard_EXPORT void | Initialize (const XmlMDF_TypeADriverMap &aMap)
Standard_EXPORT const Handle_Standard_Type & | Key () const
Standard_EXPORT const Handle_XmlMDF_ADriver & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMDF_DataMapIteratorOfTypeADriverMap::XmlMDF_DataMapIteratorOfTypeADriverMap | ( |  | ) |

Standard_EXPORT XmlMDF_DataMapIteratorOfTypeADriverMap::XmlMDF_DataMapIteratorOfTypeADriverMap | ( | const XmlMDF_TypeADriverMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XmlMDF_DataMapIteratorOfTypeADriverMap::Initialize | ( | const XmlMDF_TypeADriverMap & | aMap | ) |

Standard_EXPORT const Handle_Standard_Type& XmlMDF_DataMapIteratorOfTypeADriverMap::Key | ( |  | ) | const

void XmlMDF_DataMapIteratorOfTypeADriverMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMDF_DataMapIteratorOfTypeADriverMap::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMDF_DataMapIteratorOfTypeADriverMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_XmlMDF_ADriver& XmlMDF_DataMapIteratorOfTypeADriverMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XmlMDF_DataMapIteratorOfTypeADriverMap.hxx